import { FlowExclusiveGateway } from './flow-gateway';
import { FlowItem } from './flow-item';
export interface FlowEngineConfiguration {
    skipSequence: boolean;
    skipGateway: boolean;
    /**
     * the FlowItem id to start with.
     */
    startItemId?: string;
    gatewayCallback(gateway: FlowExclusiveGateway): string;
    itemCallback?(item: FlowItem, prev: FlowItem): void;
    finishedCallback?(): void;
    discardedCallback?(item: FlowItem): void;
    activatedCallback?(item: FlowItem): void;
}
