import { FlowTask } from './flow-task';
import { FlowEvent } from './flow-event';
import { FlowSequence } from './flow-sequence';
import { FlowExclusiveGateway } from './flow-gateway';
import { FlowItem } from './flow-item';
import { FlowSubprocess } from './flow-subprocess';
import { ContextItem } from './interview-context-item';
export interface FlowSchema extends FlowItem {
    tasks: FlowTask[];
    startEvents: FlowEvent[];
    endEvents: FlowEvent[];
    sequenceFlow: FlowSequence[];
    exclusiveGateways: FlowExclusiveGateway[];
    subProcess: FlowSubprocess[];
    isContextDynamic: boolean;
    contextItems: ContextItem[];
    subtitle?: string;
}
