import { FlowItem } from './flow-item';
import { FlowSchema } from './flow-schema';
export interface FlowSubprocess extends FlowItem {
    resourceTemplateSchema: string;
    subprocessManagerView: string;
    resources: FlowResource[];
    newResourcePrefix: string;
    contextId?: string;
    resourceQuestionNumber: string;
    belongsTo?: {
        schema: string;
        subprocess: string;
    };
    namingStrategy?: string;
    resourceNameBuilder?: string;
}
export interface FlowResource {
    objectKey: string;
    schema: FlowSchema;
}
