import { FlowItem } from './flow-item';
export interface FlowTask extends FlowItem {
    isMultiInstance: boolean;
    questions: any[];
    contextValidations: any[];
    pageTheme: string;
    isSavePage?: boolean;
    pageSegments?: {
        title?: string;
        body?: string;
        footer?: string;
        alerts?: {
            color: string;
            displayText: string;
            icon: string;
        }[];
    };
    cancelResource?: {
        resourceId: string;
        subProcessId: string;
    };
}
